Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# Oscl_Linked_List< LLClass, Alloc > Class Template Reference
[OSCL Base]

`#include <oscl_linked_list.h>`

Inheritance diagram for Oscl_Linked_List< LLClass, Alloc >:

## Public Methods
| Oscl_Linked_List ()
| ~Oscl_Linked_List ()
void | clear ()
int32 | dequeue_element (LLClass &element)
int32 | get_first (LLClass &ele)
int32 | get_next (LLClass &ele)
int32 | check_list ()
int32 | get_num_elements ()
int32 | add_element (LLClass &new_element)
int32 | add_to_front (const LLClass &new_element)
int32 | insert_element (const LLClass &new_element, int index)
int32 | get_element (int32 index, LLClass &element)
int32 | remove_element (const LLClass &data_to_remove)
int32 | get_index (const LLClass &data)
int32 | remove_element (const int32 index_to_remove)
int32 | move_to_end (const LLClass &data_to_move)
int32 | move_to_front (const LLClass &data_to_move)

## Detailed Description

### template<class LLClass, class Alloc>
class Oscl_Linked_List< LLClass, Alloc >

Oscl Linked List Class

## Constructor & Destructor Documentation

template<class LLClass, class Alloc>
Oscl_Linked_List< LLClass, Alloc >::Oscl_Linked_List | ( |  | ) | `[inline]`

| Initialized the protected variables of list.

template<class LLClass, class Alloc>
Oscl_Linked_List< LLClass, Alloc >::~Oscl_Linked_List | ( |  | ) | `[inline]`

| The destructor.

## Member Function Documentation

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::add_element | ( | LLClass & | new_element | ) | `[inline]`

  | Adds new element to the list.if list is already there then it adds element at end of list otherwise it create the list and add the element as first element of list. Parameters:
  new_element | the element to be add in the list.
Returns: 32-bit integer on the success returns 1.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::add_to_front | ( | const LLClass & | new_element | ) | `[inline]`

  | Adds new element at the start of the list.if list is already exist then it adds element at start of list otherwise it create the list and add the element as first element of list. Parameters:
  new_element | the element to be add in the list.
Returns: 32-bit integer on the success returns 1.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::check_list | ( |  | ) | `[inline]`

| Debug routine: Checks the list for elements. Returns: 32-bit integer, if node count is equal to number of node added to the list then returns 1 otherwise returns 0. Reimplemented from Oscl_Linked_List_Base.

template<class LLClass, class Alloc>
void Oscl_Linked_List< LLClass, Alloc >::clear | ( |  | ) | `[inline]`

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::dequeue_element | ( | LLClass & | element | ) | `[inline]`

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::get_element | ( | int32 | index,
|  | LLClass & | element
| ) | `[inline]`

  | Search and returs the element in the list for passed index. Parameters:
  index, element | The index is the count for the node.
Returns: 32-bit integer on success returns 1 otherwise returns 0.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::get_first | ( | LLClass & | ele | ) | `[inline]`

  | Return the first element of list in passed parameter, Parameters:
  ele | return the value of first element of list in this parameter
Returns: 32-bit interger,If first element found, it returns 1 otherwise it returns 0

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::get_index | ( | const LLClass & | data | ) | `[inline]`

  | Returns the index for requested element. Parameters:
  data | the element for which index to be return.
Returns: 32-bit integer if data is found in the list it returns index otherwise it returns -1.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::get_next | ( | LLClass & | ele | ) | `[inline]`

  | Return the next element of list in passed parameter, Parameters:
  ele | return the value of next element of list in this parameter
Returns: 32-bit interger ,if next element is found in list,it returns 1 otherwise it returns 0

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::get_num_elements | ( |  | ) | `[inline]`

| Get number of elements in the list. Returns: 32-bit integer, number of elements in list.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::insert_element | ( | const LLClass & | new_element,
|  | int | index
| ) | `[inline]`

  | Inserts new element in the list. If the index is past the end of the list it creates the list and add the element as first element of list. Parameters:
  new_element | the element to be add in the list.
Returns: 32-bit integer on the success returns 1.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::move_to_end | ( | const LLClass & | data_to_move | ) | `[inline]`

  | Moves the element to end of the list Parameters:
  data_to_move |
Returns: On success returns 1 otherwise returns 0.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::move_to_front | ( | const LLClass & | data_to_move | ) | `[inline]`

  | Moves the element to front of the list Parameters:
  data_to_move |
Returns: On success returns 1 otherwise returns 0.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::remove_element | ( | const int32 | index_to_remove | ) | `[inline]`

  | Removes the element for requested index. Parameters:
  index_to_remove |
Returns: on success return 1 otherwise return 0. Reimplemented from Oscl_Linked_List_Base.

template<class LLClass, class Alloc>
int32 Oscl_Linked_List< LLClass, Alloc >::remove_element | ( | const LLClass & | data_to_remove | ) | `[inline]`

  | Removes the element from the list. Parameters:
  data_to_remove |
Returns: 32-bit integer on if element fount in the list returns 1 otherwise returns 0.

The documentation for this class was generated from the following file:

- oscl_linked_list.h